Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Sequence.h File Reference

`#include "ace/CORBA_macros.h"`
`#include "tao/Managed_Types.h"`
`#include "tao/orbconf.h"`
`#include "tao/default_environment.h"`
`#include "tao/Sequence.i"`
`#include "tao/Sequence_T.h"`

Include dependency graph for Sequence.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
## Classes
class | TAO_Base_Sequence
| Base class for TAO sequences. More...
class | TAO_Unbounded_Base_Sequence
| Base class for all bounded sequences. More...
class | TAO_Bounded_Base_Sequence
| Base class for all bounded sequences. More...
class | TAO_Unbounded_String_Sequence
| Unbounded sequence of strings. More...
class | TAO_Unbounded_WString_Sequence
| Unbounded sequence of wstrings. More...
class | TAO_Unbounded_Sequence< CORBA::Octet >
| An unbounded sequence of Octets. More...
## Defines
#define | TAO_SEQUENCE_ASSERT(TAO_IDX, TAO_MAX) this->check_bounds(__FILE__, __LINE__, (TAO_IDX), (TAO_MAX))
| Safe assertions without including Log_Msg.h.
## Functions
TAO_Export bool | operator== (const TAO_Unbounded_Sequence< CORBA::Octet > &l, const TAO_Unbounded_Sequence< CORBA::Octet > &r)
TAO_Export bool | operator!= (const TAO_Unbounded_Sequence< CORBA::Octet > &l, const TAO_Unbounded_Sequence< CORBA::Octet > &r)

## Detailed Description

Id
  Sequence.h,v 1.57 2005/11/24 11:05:45 ossama Exp

Author:
  Carlos O'Ryan

  Aniruddha Gokhale

## Define Documentation

#define TAO_SEQUENCE_ASSERT | ( | TAO_IDX,
|  | TAO_MAX |  | ) | this->check_bounds(__FILE__, __LINE__, (TAO_IDX), (TAO_MAX))

| Safe assertions without including Log_Msg.h.

## Function Documentation

TAO_Export bool operator!= | ( | const TAO_Unbounded_Sequence< CORBA::Octet > & | l,
|  | const TAO_Unbounded_Sequence< CORBA::Octet > & | r
| ) |

TAO_Export bool operator== | ( | const TAO_Unbounded_Sequence< CORBA::Octet > & | l,
|  | const TAO_Unbounded_Sequence< CORBA::Octet > & | r
| ) |